<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreateVentaAbonoCuota extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('venta_abono_cuotas')
            ->addColumn('venta_id', 'integer', ['signed' => false, 'null' => false])
            ->addForeignKey('venta_id', 'venta', ['id'], ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('pago_id', 'integer', ['signed' => false, 'null' => false])
            ->addForeignKey('pago_id', 'pago', ['id'], ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('numero', 'integer', ['signed' => false, 'null' => false, 'default' => 1])
            ->create();
    }
}
